from pynats2 import NATSClient
from datetime import datetime,timedelta
import json

def publish_to_nats():
    standardLog = {
      "timestamp": (datetime.utcnow()+timedelta(hours=8)).strftime("%Y-%m-%dT%H:%M:%S.%fZ"),
      "level": 'INFO', # DEBUG、INFO、WARNING、ERROR、CRITICAL等级别
      "name": 'alg.slice',# 日志生产的模块、服务
      "message": "算法版本:$1,分割结果:$2",# 日志记录模板
      "customFields": {
        "$1": "1.0.0",
        "$2": True
      },
    }
    with NATSClient() as client:
      client.publish("alg.test", payload=json.dumps(standardLog).encode('utf-8'))

if __name__ == '__main__':
    publish_to_nats()
